from enmapboxprocessing.algorithm.aggregaterasterbandsalgorithm import AggregateRasterBandsAlgorithm
from enmapboxprocessing.algorithm.applymaskalgorithm import ApplyMaskAlgorithm
from enmapboxprocessing.algorithm.build3dcubealgorithm import Build3dCubeAlgorithm
from enmapboxprocessing.algorithm.classfractionfromcategorizedvectoralgorithm import \
    ClassFractionFromCategorizedVectorAlgorithm
from enmapboxprocessing.algorithm.classificationfromclassprobabilityalgorithm import \
    ClassificationFromClassProbabilityAlgorithm
from enmapboxprocessing.algorithm.classificationperformancesimplealgorithm import \
    ClassificationPerformanceSimpleAlgorithm
from enmapboxprocessing.algorithm.classificationperformancestratifiedalgorithm import \
    ClassificationPerformanceStratifiedAlgorithm
from enmapboxprocessing.algorithm.classificationworkflowalgorithm import ClassificationWorkflowAlgorithm
from enmapboxprocessing.algorithm.classifierfeaturerankingpermutationimportancealgorithm import \
    ClassifierFeatureRankingPermutationImportanceAlgorithm
from enmapboxprocessing.algorithm.classifierperformancealgorithm import ClassifierPerformanceAlgorithm
from enmapboxprocessing.algorithm.convexhullalgorithm import ConvexHullAlgorithm
from enmapboxprocessing.algorithm.createdefaultpalettedrasterrendereralgorithm import \
    CreateDefaultPalettedRasterRendererAlgorithm
from enmapboxprocessing.algorithm.creategridalgorithm import CreateGridAlgorithm
from enmapboxprocessing.algorithm.createmaskalgorithm import CreateMaskAlgorithm
from enmapboxprocessing.algorithm.creatergbimagefromclassprobabilityalgorithm import \
    CreateRgbImageFromClassProbabilityAlgorithm
from enmapboxprocessing.algorithm.createspectralindicesalgorithm import CreateSpectralIndicesAlgorithm
from enmapboxprocessing.algorithm.editrastersourcebandpropertiesalgorithm import EditRasterSourceBandPropertiesAlgorithm
from enmapboxprocessing.algorithm.featureclusteringhierarchicalalgorithm import FeatureClusteringHierarchicalAlgorithm
from enmapboxprocessing.algorithm.fitaffinitypropagationalgorithm import FitAffinityPropagationAlgorithm
from enmapboxprocessing.algorithm.fitbirchalgorithm import FitBirchAlgorithm
from enmapboxprocessing.algorithm.fitcatboostclassifieralgorithm import FitCatBoostClassifierAlgorithm
from enmapboxprocessing.algorithm.fitcatboostregressoralgorithm import FitCatBoostRegressorAlgorithm
from enmapboxprocessing.algorithm.fitfactoranalysisalgorithm import FitFactorAnalysisAlgorithm
from enmapboxprocessing.algorithm.fitfasticaalgorithm import FitFastIcaAlgorithm
from enmapboxprocessing.algorithm.fitfeatureagglomerationalgorithm import FitFeatureAgglomerationAlgorithm
from enmapboxprocessing.algorithm.fitgaussianprocessclassifieralgorithm import FitGaussianProcessClassifierAlgorithm
from enmapboxprocessing.algorithm.fitgaussianprocessregressoralgorithm import FitGaussianProcessRegressorAlgorithm
from enmapboxprocessing.algorithm.fitgenericclassifieralgorithm import FitGenericClassifierAlgorithm
from enmapboxprocessing.algorithm.fitgenericregressoralgorithm import FitGenericRegressorAlgorithm
from enmapboxprocessing.algorithm.fitkernelpcaalgorithm import FitKernelPcaAlgorithm
from enmapboxprocessing.algorithm.fitkernelridgealgorithm import FitKernelRidgeAlgorithm
from enmapboxprocessing.algorithm.fitkmeansalgorithm import FitKMeansAlgorithm
from enmapboxprocessing.algorithm.fitlgbmclassifieralgorithm import FitLGBMClassifierAlgorithm
from enmapboxprocessing.algorithm.fitlgbmregressoralgorithm import FitLGBMRegressorAlgorithm
from enmapboxprocessing.algorithm.fitlinearregressionalgorithm import FitLinearRegressionAlgorithm
from enmapboxprocessing.algorithm.fitlinearsvcalgorithm import FitLinearSvcAlgorithm
from enmapboxprocessing.algorithm.fitlinearsvralgorithm import FitLinearSVRAlgorithm
from enmapboxprocessing.algorithm.fitlogisticregressionralgorithm import FitLogisticRegressionAlgorithm
from enmapboxprocessing.algorithm.fitmaxabsscaleralgorithm import FitMaxAbsScalerAlgorithm
from enmapboxprocessing.algorithm.fitmeanshiftalgorithm import FitMeanShiftAlgorithm
from enmapboxprocessing.algorithm.fitminmaxscaleralgorithm import FitMinMaxScalerAlgorithm
from enmapboxprocessing.algorithm.fitnormalizeralgorithm import FitNormalizerAlgorithm
from enmapboxprocessing.algorithm.fitpcaalgorithm import FitPcaAlgorithm
from enmapboxprocessing.algorithm.fitplsegressionalgorithm import FitPLSRegressionAlgorithm
from enmapboxprocessing.algorithm.fitquantiletransformeralgorithm import FitQuantileTransformerAlgorithm
from enmapboxprocessing.algorithm.fitrandomforestclassifieralgorithm import FitRandomForestClassifierAlgorithm, \
    FitRandomForestClassifierAlgorithm4Modeler
from enmapboxprocessing.algorithm.fitrandomforestregressoralgorithm import FitRandomForestRegressorAlgorithm
from enmapboxprocessing.algorithm.fitrobustscaleralgorithm import FitRobustScalerAlgorithm
from enmapboxprocessing.algorithm.fitsamalgorithm import FitSamAlgorithm
from enmapboxprocessing.algorithm.fitstandardscaleralgorithm import FitStandardScalerAlgorithm
from enmapboxprocessing.algorithm.fitsvcpolyalgorithm import FitSvcPolyAlgorithm
from enmapboxprocessing.algorithm.fitsvcrbfalgorithm import FitSvcRbfAlgorithm
from enmapboxprocessing.algorithm.fitsvrpolyalgorithm import FitSvrPolyAlgorithm
from enmapboxprocessing.algorithm.fitsvrrbfalgorithm import FitSvrRbfAlgorithm
from enmapboxprocessing.algorithm.fitxgbclassifieralgorithm import FitXGBClassifierAlgorithm
from enmapboxprocessing.algorithm.fitxgbregressoralgorithm import FitXGBRegressorAlgorithm
from enmapboxprocessing.algorithm.fitxgbrfclassifieralgorithm import FitXGBRFClassifierAlgorithm
from enmapboxprocessing.algorithm.fitxgbrfregressoralgorithm import FitXGBRFRegressorAlgorithm
from enmapboxprocessing.algorithm.geolocaterasteralgorithm import GeolocateRasterAlgorithm
from enmapboxprocessing.algorithm.importdesisl1balgorithm import ImportDesisL1BAlgorithm
from enmapboxprocessing.algorithm.importdesisl1calgorithm import ImportDesisL1CAlgorithm
from enmapboxprocessing.algorithm.importdesisl2aalgorithm import ImportDesisL2AAlgorithm
from enmapboxprocessing.algorithm.importemitl2aalgorithm import ImportEmitL2AAlgorithm
from enmapboxprocessing.algorithm.importenmapl1balgorithm import ImportEnmapL1BAlgorithm
from enmapboxprocessing.algorithm.importenmapl1calgorithm import ImportEnmapL1CAlgorithm
from enmapboxprocessing.algorithm.importenmapl2aalgorithm import ImportEnmapL2AAlgorithm
from enmapboxprocessing.algorithm.importlandsatl2algorithm import ImportLandsatL2Algorithm
from enmapboxprocessing.algorithm.importprismal1algorithm import ImportPrismaL1Algorithm
from enmapboxprocessing.algorithm.importprismal2balgorithm import ImportPrismaL2BAlgorithm
from enmapboxprocessing.algorithm.importprismal2calgorithm import ImportPrismaL2CAlgorithm
from enmapboxprocessing.algorithm.importprismal2dalgorithm import ImportPrismaL2DAlgorithm
from enmapboxprocessing.algorithm.importsentinel2l2aalgorithm import ImportSentinel2L2AAlgorithm
from enmapboxprocessing.algorithm.inversetransformrasteralgorithm import InverseTransformRasterAlgorithm
from enmapboxprocessing.algorithm.issue1366_algorithm import MyAlgorithm
from enmapboxprocessing.algorithm.layertomaskalgorithm import LayerToMaskAlgorithm
from enmapboxprocessing.algorithm.mergeclassificationdatasetalgorithm import MergeClassificationDatasetsAlgorithm
from enmapboxprocessing.algorithm.predictclassificationalgorithm import PredictClassificationAlgorithm
from enmapboxprocessing.algorithm.predictclassprobabilityalgorithm import PredictClassPropabilityAlgorithm
from enmapboxprocessing.algorithm.predictclusteringalgorithm import PredictClusteringAlgorithm
from enmapboxprocessing.algorithm.predictregressionalgorithm import PredictRegressionAlgorithm
from enmapboxprocessing.algorithm.prepareclassificationdatasetfromcategorizedlibraryalgorithm import \
    PrepareClassificationDatasetFromCategorizedLibraryAlgorithm
from enmapboxprocessing.algorithm.prepareclassificationdatasetfromcategorizedrasteralgorithm import \
    PrepareClassificationDatasetFromCategorizedRasterAlgorithm
from enmapboxprocessing.algorithm.prepareclassificationdatasetfromcategorizedvectoralgorithm import \
    PrepareClassificationDatasetFromCategorizedVectorAlgorithm
from enmapboxprocessing.algorithm.prepareclassificationdatasetfromcategorizedvectorandfieldsalgorithm import \
    PrepareClassificationDatasetFromCategorizedVectorAndFieldsAlgorithm
from enmapboxprocessing.algorithm.prepareclassificationdatasetfromcodealgorithm import \
    PrepareClassificationDatasetFromCodeAlgorithm
from enmapboxprocessing.algorithm.prepareclassificationdatasetfromfilesalgorithm import \
    PrepareClassificationDatasetFromFilesAlgorithm
from enmapboxprocessing.algorithm.prepareclassificationdatasetfromjsonalgorithm import \
    PrepareClassificationDatasetFromJsonAlgorithm
from enmapboxprocessing.algorithm.prepareclassificationdatasetfromtablealgorithm import \
    PrepareClassificationDatasetFromTableAlgorithm
from enmapboxprocessing.algorithm.prepareregressiondatasetfromcodealgorithm import \
    PrepareRegressionDatasetFromCodeAlgorithm
from enmapboxprocessing.algorithm.prepareregressiondatasetfromcontinuouslibraryalgorithm import \
    PrepareRegressionDatasetFromContinuousLibraryAlgorithm
from enmapboxprocessing.algorithm.prepareregressiondatasetfromcontinuousrasteralgorithm import \
    PrepareRegressionDatasetFromContinuousRasterAlgorithm
from enmapboxprocessing.algorithm.prepareregressiondatasetfromcontinuousvectoralgorithm import \
    PrepareRegressionDatasetFromContinuousVectorAlgorithm
from enmapboxprocessing.algorithm.prepareregressiondatasetfromcontinuousvectorandfieldsalgorithm import \
    PrepareRegressionDatasetFromContinuousVectorAndFieldsAlgorithm
from enmapboxprocessing.algorithm.prepareregressiondatasetfromfilesalgorithm import \
    PrepareRegressionDatasetFromFilesAlgorithm
from enmapboxprocessing.algorithm.prepareregressiondatasetfromjsonalgorithm import \
    PrepareRegressionDatasetFromJsonAlgorithm
from enmapboxprocessing.algorithm.prepareregressiondatasetfromsynthmixalgorithm import \
    PrepareRegressionDatasetFromSynthMixAlgorithm
from enmapboxprocessing.algorithm.prepareregressiondatasetfromtablealgorithm import \
    PrepareRegressionDatasetFromTableAlgorithm
from enmapboxprocessing.algorithm.prepareunsuperviseddatasetfromcodealgorithm import \
    PrepareUnsupervisedDatasetFromCodeAlgorithm
from enmapboxprocessing.algorithm.prepareunsuperviseddatasetfromfilealgorithm import \
    PrepareUnsupervisedDatasetFromFileAlgorithm
from enmapboxprocessing.algorithm.prepareunsuperviseddatasetfromjsonalgorithm import \
    PrepareUnsupervisedDatasetFromJsonAlgorithm
from enmapboxprocessing.algorithm.prepareunsuperviseddatasetfromlibraryalgorithm import \
    PrepareUnsupervisedDatasetFromLibraryAlgorithm
from enmapboxprocessing.algorithm.prepareunsuperviseddatasetfromrasteralgorithm import \
    PrepareUnsupervisedDatasetFromRasterAlgorithm
from enmapboxprocessing.algorithm.prepareunsuperviseddatasetfromvectorandfieldsalgorithm import \
    PrepareUnsupervisedDatasetFromVectorAndFieldsAlgorithm
from enmapboxprocessing.algorithm.randompointsfromcategorizedrasteralgorithm import \
    RandomPointsFromCategorizedRasterAlgorithm
from enmapboxprocessing.algorithm.randompointsfrommaskrasteralgorithm import RandomPointsFromMaskRasterAlgorithm
from enmapboxprocessing.algorithm.randomsamplesfromclassificationdatasetalgorithm import \
    RandomSamplesFromClassificationDatasetAlgorithm
from enmapboxprocessing.algorithm.randomsamplesfromregressiondatasetalgorithm import \
    RandomSamplesFromRegressionDatasetAlgorithm
from enmapboxprocessing.algorithm.rasterizecategorizedvectoralgorithm import RasterizeCategorizedVectorAlgorithm
from enmapboxprocessing.algorithm.rasterizevectoralgorithm import RasterizeVectorAlgorithm
from enmapboxprocessing.algorithm.rasterlayerzonalaggregationalgorithm import RasterLayerZonalAggregationAlgorithm
from enmapboxprocessing.algorithm.rastermathalgorithm.rastermathalgorithm import RasterMathAlgorithm
from enmapboxprocessing.algorithm.reclassifyrasteralgorithm import ReclassifyRasterAlgorithm
from enmapboxprocessing.algorithm.regressionbasedunmixingalgorithm import RegressionBasedUnmixingAlgorithm
from enmapboxprocessing.algorithm.regressionperformancealgorithm import RegressionPerformanceAlgorithm
from enmapboxprocessing.algorithm.regressionworkflowalgorithm import RegressionWorkflowAlgorithm
from enmapboxprocessing.algorithm.regressorperformancealgorithm import RegressorPerformanceAlgorithm
from enmapboxprocessing.algorithm.roccurvealgorithm import RocCurveAlgorithm
from enmapboxprocessing.algorithm.samplerastervaluesalgorithm import SampleRasterValuesAlgorithm
from enmapboxprocessing.algorithm.savelibraryasgeojsonalgorithm import SaveLibraryAsGeoJsonAlgorithm
from enmapboxprocessing.algorithm.saverasterlayerasalgorithm import SaveRasterAsAlgorithm
from enmapboxprocessing.algorithm.selectfeaturesfromdatasetalgorithm import SelectFeaturesFromDatasetAlgorithm
from enmapboxprocessing.algorithm.spatialconvolutionairydisk2dalgorithm import SpatialConvolutionAiryDisk2DAlgorithm
from enmapboxprocessing.algorithm.spatialconvolutionbox2dalgorithm import SpatialConvolutionBox2DAlgorithm
from enmapboxprocessing.algorithm.spatialconvolutioncustom2dalgorithm import SpatialConvolutionCustom2DAlgorithm
from enmapboxprocessing.algorithm.spatialconvolutiongaussian2dalgorithm import SpatialConvolutionGaussian2DAlgorithm
from enmapboxprocessing.algorithm.spatialconvolutionmoffat2dalgorithm import SpatialConvolutionMoffat2DAlgorithm
from enmapboxprocessing.algorithm.spatialconvolutionrickerwavelet2dalgorithm import \
    SpatialConvolutionRickerWavelet2DAlgorithm
from enmapboxprocessing.algorithm.spatialconvolutionring2dalgorithm import SpatialConvolutionRing2DAlgorithm
from enmapboxprocessing.algorithm.spatialconvolutionsavitskygolay2dalgorithm import \
    SpatialConvolutionSavitskyGolay2DAlgorithm
from enmapboxprocessing.algorithm.spatialconvolutiontophat2dalgorithm import SpatialConvolutionTophat2DAlgorithm
from enmapboxprocessing.algorithm.spatialconvolutiontrapezoiddisk2dalgorithm import \
    SpatialConvolutionTrapezoidDisk2DAlgorithm
from enmapboxprocessing.algorithm.spatialgaussiangradientmagnitudealgorithm import \
    SpatialGaussianGradientMagnitudeAlgorithm
from enmapboxprocessing.algorithm.spatialgenericfilteralgorithm import SpatialGenericAlgorithm
from enmapboxprocessing.algorithm.spatiallaplacealgorithm import SpatialLaplaceAlgorithm
from enmapboxprocessing.algorithm.spatialmaximumalgorithm import SpatialMaximumAlgorithm
from enmapboxprocessing.algorithm.spatialmedianalgorithm import SpatialMedianAlgorithm
from enmapboxprocessing.algorithm.spatialminimumalgorithm import SpatialMinimumAlgorithm
from enmapboxprocessing.algorithm.spatialmorphologicalbinaryclosingalgorithm import \
    SpatialMorphologicalBinaryClosingAlgorithm
from enmapboxprocessing.algorithm.spatialmorphologicalbinarydilationalgorithm import \
    SpatialMorphologicalBinaryDilationAlgorithm
from enmapboxprocessing.algorithm.spatialmorphologicalbinaryerosionalgorithm import \
    SpatialMorphologicalBinaryErosionAlgorithm
from enmapboxprocessing.algorithm.spatialmorphologicalbinaryfillholesalgorithm import \
    SpatialMorphologicalBinaryFillHolesAlgorithm
from enmapboxprocessing.algorithm.spatialmorphologicalbinaryopeningalgorithm import \
    SpatialMorphologicalBinaryOpeningAlgorithm
from enmapboxprocessing.algorithm.spatialmorphologicalbinarypropagationalgorithm import \
    SpatialMorphologicalBinaryPropagationAlgorithm
from enmapboxprocessing.algorithm.spatialmorphologicalblacktophatalgorithm import \
    SpatialMorphologicalBlackTophatAlgorithm
from enmapboxprocessing.algorithm.spatialmorphologicalgradientalgorithm import SpatialMorphologicalGradientAlgorithm
from enmapboxprocessing.algorithm.spatialmorphologicalgreydilationalgorithm import \
    SpatialMorphologicalGreyDilationAlgorithm
from enmapboxprocessing.algorithm.spatialmorphologicalgreyerosionalgorithm import \
    SpatialMorphologicalGreyErosionAlgorithm
from enmapboxprocessing.algorithm.spatialmorphologicalgreyopeningalgorithm import \
    SpatialMorphologicalGreyOpeningAlgorithm
from enmapboxprocessing.algorithm.spatialmorphologicallaplacealgorithm import SpatialMorphologicalLaplaceAlgorithm
from enmapboxprocessing.algorithm.spatialmorphologicalwhitetophatalgorithm import \
    SpatialMorphologicalWhiteTophatAlgorithm
from enmapboxprocessing.algorithm.spatialpercentilealgorithm import SpatialPercentileAlgorithm
from enmapboxprocessing.algorithm.spatialprewittalgorithm import SpatialPrewittAlgorithm
from enmapboxprocessing.algorithm.spatialsobelalgorithm import SpatialSobelAlgorithm
from enmapboxprocessing.algorithm.spectralconvolutionbox1dalgorithm import SpectralConvolutionBox1DAlgorithm
from enmapboxprocessing.algorithm.spectralconvolutiongaussian1dalgorithm import SpectralConvolutionGaussian1DAlgorithm
from enmapboxprocessing.algorithm.spectralconvolutionrickerwavelet1dalgorithm import \
    SpectralConvolutionRickerWavelet1DAlgorithm
from enmapboxprocessing.algorithm.spectralconvolutionsavitskygolay1dalgorithm import \
    SpectralConvolutionSavitskyGolay1DAlgorithm
from enmapboxprocessing.algorithm.spectralconvolutiontrapezoid1dalgorithm import SpectralConvolutionTrapezoid1DAlgorithm
from enmapboxprocessing.algorithm.spectralindexoptimizeralgorithm import SpectralIndexOptimizerAlgorithm
from enmapboxprocessing.algorithm.spectralresamplingbyresponsefunctionlibraryalgorithm import \
    SpectralResamplingByResponseFunctionLibraryAlgorithm
from enmapboxprocessing.algorithm.spectralresamplingbyspectralrasterwavelengthandfwhmalgorithm import \
    SpectralResamplingBySpectralRasterWavelengthAndFwhmAlgorithm
from enmapboxprocessing.algorithm.spectralresamplingtocustomsensoralgorithm import \
    SpectralResamplingToCustomSensorAlgorithm
from enmapboxprocessing.algorithm.spectralresamplingtodesisalgorithm import SpectralResamplingToDesisAlgorithm
from enmapboxprocessing.algorithm.spectralresamplingtoenmapalgorithm import SpectralResamplingToEnmapAlgorithm
from enmapboxprocessing.algorithm.spectralresamplingtolandsat5algorithm import SpectralResamplingToLandsat5Algorithm
from enmapboxprocessing.algorithm.spectralresamplingtolandsat7algorithm import SpectralResamplingToLandsat7Algorithm
from enmapboxprocessing.algorithm.spectralresamplingtolandsat8algorithm import SpectralResamplingToLandsat8Algorithm
from enmapboxprocessing.algorithm.spectralresamplingtoprismaalgorithm import SpectralResamplingToPrismaAlgorithm
from enmapboxprocessing.algorithm.spectralresamplingtosentinel2algorithm import SpectralResamplingToSentinel2Algorithm
from enmapboxprocessing.algorithm.stackrasterlayersalgorithm import StackRasterLayersAlgorithm
from enmapboxprocessing.algorithm.subsetrasterbandsalgorithm import SubsetRasterBandsAlgorithm
from enmapboxprocessing.algorithm.transformrasteralgorithm import TransformRasterAlgorithm
from enmapboxprocessing.algorithm.translatecategorizedrasteralgorithm import TranslateCategorizedRasterAlgorithm
from enmapboxprocessing.algorithm.translaterasteralgorithm import TranslateRasterAlgorithm
from enmapboxprocessing.algorithm.vrtbandmathalgorithm import VrtBandMathAlgorithm
from enmapboxprocessing.algorithm.writeenviheaderalgorithm import WriteEnviHeaderAlgorithm


def algorithms():
    algos = [
        AggregateRasterBandsAlgorithm(),
        ApplyMaskAlgorithm(),
        Build3dCubeAlgorithm(),
        ClassFractionFromCategorizedVectorAlgorithm(),
        CreateSpectralIndicesAlgorithm(),
        ClassificationFromClassProbabilityAlgorithm(),
        ClassificationPerformanceSimpleAlgorithm(),
        ClassificationPerformanceStratifiedAlgorithm(),
        ClassificationWorkflowAlgorithm(),
        ClassifierPerformanceAlgorithm(),
        ClassifierFeatureRankingPermutationImportanceAlgorithm(),
        ConvexHullAlgorithm(),
        CreateDefaultPalettedRasterRendererAlgorithm(),
        CreateGridAlgorithm(),
        CreateMaskAlgorithm(),
        CreateRgbImageFromClassProbabilityAlgorithm(),
        EditRasterSourceBandPropertiesAlgorithm(),
        FitGaussianProcessClassifierAlgorithm(),
        FitGenericClassifierAlgorithm(),
        FitGenericRegressorAlgorithm(),
        FitLinearSvcAlgorithm(),
        FitLogisticRegressionAlgorithm(),
        FitRandomForestClassifierAlgorithm(), FitRandomForestClassifierAlgorithm4Modeler(),
        FitSamAlgorithm(),
        FitSvcRbfAlgorithm(),
        FitSvcPolyAlgorithm(),
        FitSvrRbfAlgorithm(),
        FitSvrPolyAlgorithm(),
        FitXGBClassifierAlgorithm(),
        FitXGBRFClassifierAlgorithm(),
        FitXGBRegressorAlgorithm(),
        FitXGBRFRegressorAlgorithm(),
        FitLGBMClassifierAlgorithm(),
        FitLGBMRegressorAlgorithm(),
        FitCatBoostClassifierAlgorithm(),
        FitCatBoostRegressorAlgorithm(),
        FitRandomForestRegressorAlgorithm(),
        FitGaussianProcessRegressorAlgorithm(),
        FitLinearRegressionAlgorithm(),
        FitKernelRidgeAlgorithm(),
        FitLinearSVRAlgorithm(),
        FitPLSRegressionAlgorithm(),
        FitPcaAlgorithm(),
        FitFastIcaAlgorithm(),
        FitFactorAnalysisAlgorithm(),
        FitFeatureAgglomerationAlgorithm(),
        FitKernelPcaAlgorithm(),
        FitMinMaxScalerAlgorithm(),
        FitNormalizerAlgorithm(),
        FitQuantileTransformerAlgorithm(),
        FitRobustScalerAlgorithm(),
        FitStandardScalerAlgorithm(),
        FitMaxAbsScalerAlgorithm(),
        FitKMeansAlgorithm(),
        FitMeanShiftAlgorithm(),
        FitBirchAlgorithm(),
        FitAffinityPropagationAlgorithm(),
        FeatureClusteringHierarchicalAlgorithm(),
        GeolocateRasterAlgorithm(),
        ImportDesisL1BAlgorithm(),
        ImportDesisL1CAlgorithm(),
        ImportDesisL2AAlgorithm(),
        ImportEmitL2AAlgorithm(),
        ImportEnmapL1BAlgorithm(),
        ImportEnmapL1CAlgorithm(),
        ImportEnmapL2AAlgorithm(),
        ImportLandsatL2Algorithm(),
        ImportPrismaL1Algorithm(),
        ImportPrismaL2BAlgorithm(),
        ImportPrismaL2CAlgorithm(),
        ImportPrismaL2DAlgorithm(),
        ImportSentinel2L2AAlgorithm(),
        InverseTransformRasterAlgorithm(),
        LayerToMaskAlgorithm(),
        MergeClassificationDatasetsAlgorithm(),
        PredictClassificationAlgorithm(),
        PredictClassPropabilityAlgorithm(),
        PredictClusteringAlgorithm(),
        PredictRegressionAlgorithm(),
        PrepareClassificationDatasetFromFilesAlgorithm(),
        PrepareClassificationDatasetFromCategorizedRasterAlgorithm(),
        PrepareClassificationDatasetFromCategorizedVectorAlgorithm(),
        PrepareClassificationDatasetFromTableAlgorithm(),
        PrepareClassificationDatasetFromCategorizedVectorAndFieldsAlgorithm(),
        PrepareClassificationDatasetFromCategorizedLibraryAlgorithm(),
        PrepareClassificationDatasetFromCodeAlgorithm(),
        PrepareClassificationDatasetFromJsonAlgorithm(),
        PrepareRegressionDatasetFromCodeAlgorithm(),
        PrepareRegressionDatasetFromContinuousLibraryAlgorithm(),
        PrepareRegressionDatasetFromContinuousRasterAlgorithm(),
        PrepareRegressionDatasetFromContinuousVectorAlgorithm(),
        PrepareRegressionDatasetFromContinuousVectorAndFieldsAlgorithm(),
        PrepareRegressionDatasetFromFilesAlgorithm(),
        PrepareRegressionDatasetFromJsonAlgorithm(),
        PrepareRegressionDatasetFromTableAlgorithm(),
        PrepareUnsupervisedDatasetFromCodeAlgorithm(),
        PrepareUnsupervisedDatasetFromLibraryAlgorithm(),
        PrepareUnsupervisedDatasetFromRasterAlgorithm(),
        PrepareUnsupervisedDatasetFromFileAlgorithm(),
        PrepareUnsupervisedDatasetFromVectorAndFieldsAlgorithm(),
        PrepareUnsupervisedDatasetFromJsonAlgorithm(),
        RandomPointsFromMaskRasterAlgorithm(),
        RandomPointsFromCategorizedRasterAlgorithm(),
        RandomSamplesFromClassificationDatasetAlgorithm(),
        RandomSamplesFromRegressionDatasetAlgorithm(),
        RasterizeCategorizedVectorAlgorithm(),
        RasterizeVectorAlgorithm(),
        RasterLayerZonalAggregationAlgorithm(),
        RasterMathAlgorithm(),
        ReclassifyRasterAlgorithm(),
        RegressionBasedUnmixingAlgorithm(),
        RegressionPerformanceAlgorithm(),
        RegressionWorkflowAlgorithm(),
        RegressorPerformanceAlgorithm(),
        RocCurveAlgorithm(),
        SampleRasterValuesAlgorithm(),
        SaveRasterAsAlgorithm(),
        SaveLibraryAsGeoJsonAlgorithm(),
        SelectFeaturesFromDatasetAlgorithm(),
        SpatialConvolutionAiryDisk2DAlgorithm(),
        SpatialConvolutionBox2DAlgorithm(),
        SpatialConvolutionCustom2DAlgorithm(),
        SpatialConvolutionGaussian2DAlgorithm(),
        SpatialConvolutionMoffat2DAlgorithm(),
        SpatialConvolutionRickerWavelet2DAlgorithm(),
        SpatialConvolutionRing2DAlgorithm(),
        SpatialConvolutionSavitskyGolay2DAlgorithm(),
        SpatialConvolutionTophat2DAlgorithm(),
        SpatialConvolutionTrapezoidDisk2DAlgorithm(),
        SpatialGaussianGradientMagnitudeAlgorithm(),
        SpatialMorphologicalBinaryClosingAlgorithm(),
        SpatialMorphologicalBinaryDilationAlgorithm(),
        SpatialMorphologicalBinaryErosionAlgorithm(),
        SpatialMorphologicalBinaryFillHolesAlgorithm(),
        SpatialMorphologicalBinaryOpeningAlgorithm(),
        SpatialMorphologicalBinaryPropagationAlgorithm(),
        SpatialMorphologicalBlackTophatAlgorithm(),
        SpatialMorphologicalGradientAlgorithm(),
        SpatialMorphologicalGreyDilationAlgorithm(),
        SpatialMorphologicalGreyErosionAlgorithm(),
        SpatialMorphologicalGreyOpeningAlgorithm(),
        SpatialMorphologicalLaplaceAlgorithm(),
        SpatialMorphologicalWhiteTophatAlgorithm(),
        SpatialSobelAlgorithm(),
        SpatialPrewittAlgorithm(),
        SpatialPercentileAlgorithm(),
        SpatialMinimumAlgorithm(),
        SpatialMaximumAlgorithm(),
        SpatialMedianAlgorithm(),
        SpatialLaplaceAlgorithm(),
        SpatialGenericAlgorithm(),
        SpectralConvolutionBox1DAlgorithm(),
        SpectralConvolutionGaussian1DAlgorithm(),
        SpectralConvolutionRickerWavelet1DAlgorithm(),
        SpectralConvolutionSavitskyGolay1DAlgorithm(),
        SpectralConvolutionTrapezoid1DAlgorithm(),
        SpectralIndexOptimizerAlgorithm(),
        SpectralResamplingByResponseFunctionLibraryAlgorithm(),
        SpectralResamplingBySpectralRasterWavelengthAndFwhmAlgorithm(),
        SpectralResamplingToCustomSensorAlgorithm(),
        SpectralResamplingToDesisAlgorithm(),
        SpectralResamplingToEnmapAlgorithm(),
        SpectralResamplingToLandsat5Algorithm(),
        SpectralResamplingToLandsat7Algorithm(),
        SpectralResamplingToLandsat8Algorithm(),
        SpectralResamplingToPrismaAlgorithm(),
        SpectralResamplingToSentinel2Algorithm(),
        StackRasterLayersAlgorithm(),
        SubsetRasterBandsAlgorithm(),
        PrepareRegressionDatasetFromSynthMixAlgorithm(),
        TranslateCategorizedRasterAlgorithm(),
        TranslateRasterAlgorithm(),
        TransformRasterAlgorithm(),
        VrtBandMathAlgorithm(),
        WriteEnviHeaderAlgorithm()
    ]

    if False:
        algos.append(MyAlgorithm())

    return algos
